Option Explicit On
Option Strict Off

Imports System.Runtime.InteropServices

'---------------------------------
' AWG-50 API library definitions
'---------------------------------

Module AWG50

	'
    ' Device status (Return code)
	'
    Public Const AWG50_OK As Integer = 0
    Public Const AWG50_DEVICE_NOT_FOUND As Integer = 1
    Public Const AWG50_MEMORY_ERROR As Integer = 2
    Public Const AWG50_FILE_ERROR As Integer = 3
    Public Const AWG50_COMMUNICATION_ERROR As Integer = 4
    Public Const AWG50_EXECUTION_ERROR As Integer = 5
    Public Const AWG50_OTHER_ERROR As Integer = 6

    '
    ' AWG-50 status
    '
    Public Const AWG50_STATUS_NO_DATA As Byte = 0   ' g`o͒~(g`t@Cݒ)
    Public Const AWG50_STATUS_READY As Byte = 1     ' g`o͒~(g`t@Cݒ)
    Public Const AWG50_STATUS_RUNNING As Byte = 2   ' g`o͒

    '
    ' Functions
    '
    Public Declare Ansi Function AWG50_SetFile Lib "AWG50.dll" (ByVal SerialNumber As String, ByVal FilePath As String) As Integer
    Public Declare Ansi Function AWG50_Start Lib "AWG50.dll" (ByVal SerialNumber As String) As Integer
    Public Declare Ansi Function AWG50_Stop Lib "AWG50.dll" (ByVal SerialNumber As String) As Integer
    Public Declare Ansi Function AWG50_ForcedStop Lib "AWG50.dll" (ByVal SerialNumber As String) As Integer
    Public Declare Ansi Function AWG50_GetStatus Lib "AWG50.dll" (ByVal SerialNumber As String, ByRef Status As Byte) As Integer

End Module
